// attsharedmemDlg.h : header file
//

#if !defined(AFX_ATTSHAREDMEMDLG_H__CCA267F5_493C_4FC4_A9CA_0284325F8293__INCLUDED_)
#define AFX_ATTSHAREDMEMDLG_H__CCA267F5_493C_4FC4_A9CA_0284325F8293__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAttsharedmemDlg dialog

class CAttsharedmemDlg : public CDialog
{
// Construction
public:
	CAttsharedmemDlg(CWnd* pParent = NULL);	// standard constructor
	HANDLE hMapObject;
	PATTData data;
// Dialog Data
	//{{AFX_DATA(CAttsharedmemDlg)
	enum { IDD = IDD_ATTSHAREDMEM_DIALOG };
	CStatic	m_Static1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAttsharedmemDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAttsharedmemDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ATTSHAREDMEMDLG_H__CCA267F5_493C_4FC4_A9CA_0284325F8293__INCLUDED_)
